Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 625318 - <net-analyzer/munin-2.0.33-r1 fails install without '.' in @INC (Can't locate MasterBuilder.pm in @INC )
Summary: <net-analyzer/munin-2.0.33-r1 fails install without '.' in @INC (Can't locate...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sysadmin Bugs
URL:
Whiteboard:
Keywords:
Depends on: 653380
Blocks: perl-5.26-no-dot-inc
  Show dependency tree
 
Reported: 2017-07-16 21:19 UTC by Kent Fredric (IRC: kent\n) (RETIRED)
Modified: 2018-06-03 06:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (munin-2.0.25-r2:20170716-211445.log,29.30 KB, text/plain)
2017-07-16 21:19 UTC, Kent Fredric (IRC: kent\n) (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2017-07-16 21:19:16 UTC
Created attachment 485158 [details]
build.log

See tracker bug and https://wiki.gentoo.org/wiki/Project:Perl/Dot-In-INC-Removal  for details.

cd master && /usr/bin/perl Build.PL
Can't locate MasterBuilder.pm in @INC (you may need to install the MasterBuilder module) (@INC contains: /etc/perl /usr/local/lib64/perl5/5.26.0/x86_64-linux /usr/local/lib64/perl5/5.26.0 /usr/lib64/perl5/vendor_perl/5.26.0/x86_64-linux /usr/lib64/perl5/vendor_perl/5.26.0 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.26.0-RC1 /usr/lib64/perl5/vendor_perl/5.25.12 /usr/lib64/perl5/vendor_perl/5.25.11 /usr/lib64/perl5/vendor_perl/5.22.3 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.26.0/x86_64-linux /usr/lib64/perl5/5.26.0) at Build.PL line 1.
BEGIN failed--compilation aborted at Build.PL line 1.
make: *** [Makefile:455: master/Build] Error 2
Comment 1 Andreas K. Hüttel archtester gentoo-dev 2017-08-05 16:03:06 UTC
commit fd9d97331d3403333a1b51a17916b73afa549b3b (HEAD -> master, origin/master, origin/HEAD)
Author: Andreas K. Hüttel <dilfridge@gentoo.org>
Date:   Sat Aug 5 17:24:34 2017 +0200

    net-analyzer/munin: Add build fix for Perl 5.26, bug 625318
    
    Package-Manager: Portage-2.3.6, Repoman-2.3.3

 net-analyzer/munin/files/munin-2.0.33-perl526.patch | 26 ++++++++++++++++++++++++++
 net-analyzer/munin/munin-2.0.33-r1.ebuild           |  1 +
 2 files changed, 27 insertions(+)


I haven't fixed the other versions, so I'm keeping the bug open.
Comment 2 Hans de Graaff gentoo-dev 2018-06-03 06:41:37 UTC
Old versions have been removed and all versions in the repo are now fixed.